Przystawka programu MMC dla środowiska ASP.NET

ASP.NET
Przystawka programu MMC dla środowiska ASP.NET
DropDown image

Ta sekcja zawiera tematy opisujące sposoby użycia przystawki programu Microsoft Management Console (MMC) do skonfigurowania środowiska ASP.NET i aplikacji ASP.NET.

Program MMC zawiera narzędzia administracyjne, których można używać do administrowania komputerami, usługami i innymi składnikami systemu oraz sieciami. Użytkownik może dodać do konsoli jedno lub więcej tych narzędzi administracyjnych, zwanych przystawkami, w celu zarządzania aplikacją sieci Web. Przystawka ASP.NET dla programu Microsoft Management Console (MMC) oferuje wszechstronny interfejs użytkownika (UI), służący do konfigurowania serwerów sieci Web i obsługiwanych przez nie aplikacji. Obejmuje on kilka okien dialogowych, które umożliwiają zarządzanie określonymi funkcjami, takimi jak niestandardowa obsługa błędów czy uwierzytelnianie użytkowników.

W tej sekcji

Karta Ogólne, okno dialogowe Ustawienia konfiguracyjne ASP.NET
Karta Błędy niestandardowe, okno dialogowe Ustawienia konfiguracyjne ASP.NET
Karta Autoryzacja, okno dialogowe Ustawienia konfiguracyjne ASP.NET
Karta Uwierzytelnianie, okno dialogowe Ustawienia konfiguracyjne ASP.NET
Karta Aplikacja, okno dialogowe Ustawienia konfiguracyjne ASP.NET
Karta Zarządzanie stanem, okno dialogowe Ustawienia konfiguracyjne ASP.NET
Karta Lokalizacje, okno dialogowe Ustawienia konfiguracyjne ASP.NET
Okno dialogowe Edycja/dodawanie ciągu połączenia
Okno dialogowe Edycja/dodawanie ustawienia aplikacji
Okno dialogowe Edycja/dodawanie programów obsługi błędów niestandardowych
Okno dialogowe Edycja reguły
Okno dialogowe Dodawanie lokalizacji

Sekcje pokrewne

Configuring ASP.NET Applications

Dostarcza informacje o modelu konfiguracyjnym ASP.NET. Obejmują one użycie plików XML i interfejsu API programowania konfiguracji.
Aby zgłosić propozycję lub zauważoną usterkę dotyczącą systemu Pomocy lub innej funkcji tego produktu, przejdź do witryny opinii.


Karta Ogólne, okno dialogowe Ustawienia konfiguracyjne ASP.NET

Karta Ogólne, okno dialogowe Ustawienia konfiguracyjne ASP.NET
Zobacz też
DropDown image

Karta Ogólne okna dialogowego Ustawienia konfiguracyjne ASP.NET umożliwia zarządzanie następującymi dwoma typami ustawień konfiguracyjnych:

  • Ciągi połączeń określające informacje, które są używane do nawiązywania połączenia z magazynem danych, takim jak baza danych.

  • Ustawienia aplikacji będące prostymi parami nazwa/wartość, które umożliwiają tworzenie w lokalizacji centralnej wartości na poziomie aplikacji. Następnie można uzyskiwać dostęp do tych wartości aplikacji z dowolnego miejsca w aplikacji sieci Web. Przechowując ustawienia aplikacji jako część konfiguracji, łatwo można zmieniać te ustawienia. Ustawienia aplikacji są zawsze przechowywane jako ciągi.

Ustawienia na karcie Ogólne stosują się do aplikacji sieci Web wybranej przed otwarciem okna dialogowego Właściwości.

Note Uwaga

Ustawienia konfiguracyjne mogą być dziedziczone. Ustawienia można określić w pliku Machine.config, który pełni rolę konfiguracji podstawowej dla wszystkich witryn i aplikacji sieci Web na serwerze. Określając ustawienia konfiguracyjne na poziomie aplikacji sieci Web, można utworzyć nowe lub zastąpić odziedziczone ustawienia.

Aby otworzyć okno dialogowe Ogólne

  1. W systemie Microsoft Windows otwórz aplet Narzędzia administracyjne, a następnie kliknij pozycję Menedżer internetowych usług informacyjnych (IIS).

    Zostanie wyświetlony Menedżer usług IIS.

  2. W obszarze Internetowe usługi informacyjne rozwiń węzeł Servername (komputer lokalny), rozwiń węzeł Witryny sieci Web, kliknij prawym przyciskiem myszy pozycję Websitename lub Domyślna witryna sieci Web, a następnie kliknij polecenie Właściwości.

    Zostanie wyświetlone okno dialogowe Właściwości witryny sieci Web.

  3. Kliknij kartę ASP.NET, a następnie kliknij przycisk Edytuj konfigurację.

    Zostanie wyświetlone okno dialogowe Ustawienia konfiguracyjne ASP.NET.

  4. Kliknij kartę Ogólne.

Zadania

Za pomocą karty Ogólne można wykonać następujące zadania:

  • Określić ciągi połączeń z bazą danych dla aplikacji sieci Web.

  • Utworzyć wartości ciągów służące do przechowywania często używanych informacji. Następnie można uzyskiwać dostęp do tych informacji w obrębie aplikacji i informacje te łatwo zmienić.

Elementy interfejsu użytkownika

Menedżer ciągów połączeń

Wyświetla listę ciągów połączeń określonych dla wybranej aplikacji sieci Web. Ustawienia odziedziczone są zapisane kursywą, a ustawienia odziedziczone zastąpione przez użytkownika — jako pogrubione.

Dodaj

Kliknij, aby wyświetlić okno dialogowe Edycja/dodawanie ciągu połączenia, w którym można utworzyć nowy ciąg połączenia.

Edytuj

Kliknij, aby wyświetlić okno dialogowe Edycja/dodawanie ciągu połączenia, w którym można edytować istniejący ciąg połączenia.

Ustawienia odziedziczone można zastąpić; w takim przypadku ustawienia zastąpione stosują się wyłącznie do wybranej aplikacji sieci Web. Ustawienia odziedziczonego nie można edytować w celu zmiany jego wartości wyżej w hierarchii konfiguracji.

Usuń

Kliknij, aby usunąć lub wyłączyć ciąg połączenia.

Możliwe jest trwałe usunięcie nowych ustawień określonych dla danej aplikacji sieci Web. W przypadku usunięcia ustawienia odziedziczonego oryginalne ustawienie pozostaje niezmienione w swojej lokalizacji w hierarchii, a Menedżer IIS tworzy dla tego ustawienia wpis <remove>, co wyłącza to ustawienie.

Resetuj

Kliknij, aby przywrócić zastąpionemu lub usuniętemu ustawieniu jego pierwotną wartość.

Menedżer IIS usuwa lokalną zastąpioną wartość lub usuwa wpis <remove>, aby zapewnić pierwszeństwo ustawieniu odziedziczonemu.

Ustawienia aplikacji

Wyświetla listę par klucz/wartość ustawień aplikacji.

Dodaj

Kliknij, aby wyświetlić okno dialogowe Edycja/dodawanie ustawienia aplikacji, w którym można utworzyć nową parę klucz/wartość.

Edytuj

Kliknij, aby wyświetlić okno dialogowe Edycja/dodawanie ustawienia aplikacji, w którym można edytować istniejącą parę klucz/wartość.

Ustawienia odziedziczone można zastąpić; w takim przypadku ustawienia zastąpione stosują się wyłącznie do wybranej aplikacji sieci Web. Ustawienia odziedziczonego nie można edytować w celu zmiany jego wartości wyżej w hierarchii konfiguracji.

Usuń

Kliknij, aby usunąć lub wyłączyć parę klucz/wartość.

Możliwe jest trwałe usunięcie nowych ustawień aplikacji określonych dla danej aplikacji sieci Web. W przypadku usunięcia ustawienia odziedziczonego oryginalne ustawienie pozostaje niezmienione w swojej lokalizacji w hierarchii, a Menedżer IIS tworzy dla tego ustawienia wpis <remove>, co wyłącza to ustawienie.

Resetuj

Kliknij, aby przywrócić zastąpionej lub usuniętej parze klucz/wartość jej pierwotną wartość.

Menedżer IIS usuwa lokalną, zastąpioną wartość lub usuwa wpis <remove>, aby zapewnić pierwszeństwo ustawieniu odziedziczonemu.

Zobacz też

Zadania

How to: Access ASP.NET Configuration Settings Programmatically

Informacje ogólne

Karta Uwierzytelnianie, okno dialogowe Ustawienia konfiguracyjne ASP.NET
Karta Autoryzacja, okno dialogowe Ustawienia konfiguracyjne ASP.NET
Karta Błędy niestandardowe, okno dialogowe Ustawienia konfiguracyjne ASP.NET
Karta Lokalizacje, okno dialogowe Ustawienia konfiguracyjne ASP.NET
connectionStrings Element (ASP.NET Settings Schema)
appSettings Element (General Settings Schema)

Pojęcia

ASP.NET Configuration Overview


Karta Błędy niestandardowe, okno dialogowe Ustawienia konfiguracyjne ASP.NET

Karta Błędy niestandardowe, okno dialogowe Ustawienia konfiguracyjne ASP.NET
Zobacz też
DropDown image

Gdy wystąpi błąd na stronie sieci Web lub w składniku ASP.NET, środowisko ASP.NET generuje kod błędu. Wyróżnia się następujące typy błędów:

  • Kompilacji.

  • Analizatora składni (źle działające elementy ASP.NET).

  • Konfiguracji.

  • Wykonania.

Domyślnie środowisko ASP.NET dynamicznie generuje stronę błędu zawierającą opis błędu, nazwę strony, na której wystąpił błąd, oraz ślad stosu. Jeśli jest włączony tryb debugowania, ta dynamicznie generowana strona zawiera również fragment kodu źródłowego, z którego pochodzi błąd. Definiując błędy niestandardowe, można określić, w jaki sposób aplikacja sieci Web odpowiada na wystąpienie błędu.

Note Uwaga

Aby uzyskać szczegółowe informacje o trybie debugowania, zobacz Karta Aplikacja, okno dialogowe Ustawienia konfiguracyjne ASP.NET.

Aby wyświetlić kartę Błędy niestandardowe okna dialogowego Ustawienia konfiguracyjne ASP.NET

  1. W systemie Microsoft Windows otwórz aplet Narzędzia administracyjne, a następnie kliknij pozycję Menedżer internetowych usług informacyjnych (IIS).

    Zostanie wyświetlony Menedżer usług IIS.

  2. W obszarze Internetowe usługi informacyjne rozwiń węzeł Servername (komputer lokalny), rozwiń węzeł Witryny sieci Web, kliknij prawym przyciskiem myszy pozycję Websitename lub Domyślna witryna sieci Web, a następnie kliknij polecenie Właściwości.

    Zostanie wyświetlone okno dialogowe Właściwości witryny sieci Web.

  3. Kliknij kartę ASP.NET, a następnie kliknij przycisk Edytuj konfigurację.

    Zostanie wyświetlone okno dialogowe Ustawienia konfiguracyjne ASP.NET.

  4. Kliknij kartę Błędy niestandardowe.

Zadania

Za pomocą karty Błędy niestandardowe można wykonać następujące zadania:

  • Określić domyślną stronę błędu, która ma być wyświetlana, gdy w dowolnym miejscu w aplikacji sieci Web wystąpi błąd ASP.NET.

  • Zmapować określone kody błędów HTTP na odpowiadające im strony błędów.

    Note Uwaga

    Mapowanie działa tylko w przypadku błędów, o których środowisko ASP.NET jest powiadamiane. Na przykład domyślnie środowisko ASP.NET nie jest powiadamiane o błędach HTTP 404 (nie znaleziono strony). Jeśli środowisko ASP.NET ma odbierać te błędy, można tak ustawić właściwości witryny sieci Web, aby błędy HTTP były mapowane na strony .aspx.

  • Określić, czy strony błędów niestandardowych mają być wyświetlane wszystkim, żadnym lub zdalnym (innym niż administratorzy) użytkownikom.

Elementy interfejsu użytkownika

Tryb błędu niestandardowego

Kliknij tryb, aby określić, w jaki sposób mają być wyświetlane błędy niestandardowe:

  • Wł.

    Strony błędów niestandardowych są zawsze wyświetlane. Tego ustawienia należy użyć, aby widzieć błędy podczas opracowywania aplikacji sieci Web.

  • Wył.

    Strony błędów niestandardowych nie są wyświetlane. W zamian błędy dynamicznie generują stronę błędu ASP.NET.

  • Tylko zdalne

    Błędy są przekierowywane tylko w przypadku tych żądań, które nie pochodzą z lokalnego serwera sieci Web. Tego trybu należy użyć, aby widzieć błędy ASP.NET podczas pracy na serwerze, ale wyświetlać błędy niestandardowe użytkownikom aplikacji sieci Web.

Domyślny adres URL przekierowania

Wpisz nazwę strony (.aspx lub .htm), która ma być wyświetlana w odpowiedzi na nieobsłużone błędy w dowolnym miejscu w aplikacji sieci Web.

Dziedziczone błędy niestandardowe

Lista stron błędów niestandardowych odziedziczonych po plikach konfiguracyjnych, które znajdują się wyżej w hierarchii. Odziedziczone ustawienia błędów można zastąpić, dodając lokalny błąd niestandardowy dla kodu stanu, który ma być zastąpiony.

Lokalne błędy niestandardowe

Lista stron błędów dla bieżącej witryny sieci Web.

Dodaj

Kliknij, aby otworzyć okno dialogowe Edycja/dodawanie programów obsługi błędów niestandardowych; można w nim określić kod błędu HTTP i stronę, która ma być wyświetlana, gdy środowisko ASP.NET wykryje błąd.

Note Uwaga

Mapowanie działa tylko w przypadku błędów, o których środowisko ASP.NET jest powiadamiane. Na przykład domyślnie środowisko ASP.NET nie jest powiadamiane o błędach HTTP 404 (nie znaleziono strony). Jeśli środowisko ASP.NET ma odbierać te błędy, można tak ustawić właściwości witryny sieci Web, aby błędy HTTP były mapowane na strony .aspx.

Trzeba podać kod błędu HTTP i adres URL strony, na którą ma on być mapowany. Ta strona nie musi należeć do bieżącej witryny sieci Web.

Note Uwaga

Menedżer IIS nie sprawdza poprawności wprowadzonego adresu URL.

Edytuj

Kliknij, aby otworzyć okno dialogowe Edycja/dodawanie programów obsługi błędów niestandardowych, w którym można zmienić nazwę strony lub kod błędu dla strony wybranej w obszarze Lokalne błędy niestandardowe.

Usuń

Kliknij, aby usunąć mapowanie strony błędu.

Zobacz też

Zadania

How to: Access ASP.NET Configuration Settings Programmatically

Informacje ogólne

Karta Uwierzytelnianie, okno dialogowe Ustawienia konfiguracyjne ASP.NET
Karta Autoryzacja, okno dialogowe Ustawienia konfiguracyjne ASP.NET
Karta Lokalizacje, okno dialogowe Ustawienia konfiguracyjne ASP.NET
connectionStrings Element (ASP.NET Settings Schema)
appSettings Element (General Settings Schema)

Pojęcia

ASP.NET Configuration Overview


Karta Autoryzacja, okno dialogowe Ustawienia konfiguracyjne ASP.NET

Karta Autoryzacja, okno dialogowe Ustawienia konfiguracyjne ASP.NET
Zobacz też
DropDown image

Karta Autoryzacja okna dialogowego Ustawienia konfiguracyjne ASP.NET umożliwia zarządzanie zasadami autoryzacji dla bieżącego katalogu witryny sieci Web na podstawie kont użytkowników i ról. Konta użytkowników i role można tworzyć za pomocą uwierzytelniania Microsoft Windows lub uwierzytelniania formularzy ASP.NET (członkostwa ASP.NET). Użytkownik może dodawać, edytować i usuwać zasady dla bieżącego katalogu witryny sieci Web. Zasady są stosowane do bieżącego podkatalogu i wszystkich podrzędnych podkatalogów bieżącej ścieżki URL, chyba że to zachowanie zostanie zastąpione przez ustawienie pliku konfiguracyjnego w podkatalogu podrzędnym.

Zasady odziedziczone z pliku konfiguracyjnego Machine.config i dowolnego nadrzędnego katalogu wirtualnego są również wyświetlane, lecz nie można ich edytować. Aby zmienić skutki zasad odziedziczonych, można utworzyć nowe ustawienia na poziomie witryny sieci Web. Ustawienia aplikacji są zawsze przechowywane jako ciągi.

Ustawienia na karcie Autoryzacja stosują się do witryny sieci Web wybranej przed wyświetleniem okna dialogowego Właściwości.

Note Uwaga

Ustawienia konfiguracyjne mogą być dziedziczone. Ustawienia można określić w pliku Machine.config, który pełni rolę konfiguracji podstawowej dla wszystkich witryn sieci Web na serwerze. Aby uzyskać więcej informacji o plikach konfiguracyjnych ASP.NET, zobacz ASP.NET Configuration File Hierarchy and Inheritance.

Aby otworzyć okno dialogowe Autoryzacja

  1. W systemie Windows otwórz aplet Narzędzia administracyjne, a następnie kliknij pozycję Menedżer internetowych usług informacyjnych (IIS).

    Zostanie wyświetlony Menedżer usług IIS.

  2. W obszarze Internetowe usługi informacyjne rozwiń węzeł Servername (komputer lokalny), rozwiń węzeł Witryny sieci Web, kliknij prawym przyciskiem myszy pozycję Websitename lub Domyślna witryna sieci Web, a następnie kliknij polecenie Właściwości.

    Zostanie wyświetlone okno dialogowe Właściwości witryny sieci Web.

  3. Kliknij kartę ASP.NET, a następnie kliknij przycisk Edytuj konfigurację.

  4. Zostanie wyświetlone okno dialogowe Ustawienia konfiguracyjne ASP.NET.

  5. Kliknij kartę Autoryzacja.

Zadania

Za pomocą karty Autoryzacja można wykonać następujące zadania:

  • Wyświetlić zasady autoryzacji, które są określone we wszystkich odziedziczonych plikach konfiguracyjnych, w tym w pliku Machine.config.

  • Dodać, zmodyfikować i usunąć zasady dla bieżącego katalogu witryny sieci Web.

Pierwszeństwo zasad

Zasady autoryzacji są stosowane w kolejności od góry w dół. W niektórych przypadkach może być konieczne utworzenie wielu zasad dla tego samego folderu w celu ustalenia właściwych uprawnień. Można by na przykład utworzyć jedną zasadę, która odmawia dostępu kontom użytkowników anonimowych, i drugą, która odmawia dostępu kontom użytkowników w roli gościa. W ten sposób dostęp do folderu mogliby uzyskać tylko użytkownicy zalogowani (którzy nie są anonimowi) i należący do innej grupy niż Gość.

Ustawienia w pliku Web.config

Ustawienia w pliku Web.config, którymi zarządza się za pomocą karty Zabezpieczenia, znajdują się w sekcjach <authorization>, <roleManager> i <authentication>.

Następujący fragment pliku Web.config ogranicza dostęp do jednego z podkatalogów witryny sieci Web. Dostęp do tego podkatalogu mają administratorzy i użytkownik o imieniu John, natomiast nie mają go użytkownicy anonimowi.

CopyCode image Kod kopii
<?xml version="1.0" encoding="utf-8"?>
<configuration>
    <system.web>
        <authorization>
            <allow roles="administrators" />
            <allow users="John"/>
            <deny users="?" />
        </authorization>
    </system.web>
</configuration>

Elementy interfejsu użytkownika

Dziedziczone zasady autoryzacji

Lista odziedziczonych zasad autoryzacji, które są określone w pliku konfiguracyjnym Machine.config lub dowolnym nadrzędnym katalogu wirtualnym, jak opisano w temacie ASP.NET Configuration File Hierarchy and Inheritance. Ustawienia odziedziczone są zapisane kursywą, a ustawienia odziedziczone zastąpione przez użytkownika — jako pogrubione.

Lokalne zasady autoryzacji

Lista zasad autoryzacji, które są stosowane do bieżącego katalogu witryny sieci Web oraz do wszystkich jego katalogów podrzędnych.

Dodaj

Kliknij, aby otworzyć Okno dialogowe Edycja reguły w celu utworzenia nowej zasady.

Edytuj

Kliknij, aby otworzyć Okno dialogowe Edycja reguły w celu zmodyfikowania wybranej zasady.

Usuń

Kliknij, aby usunąć wybrany wiersz z listy Lokalne zasady autoryzacji.

Zobacz też

Zadania

How to: Access ASP.NET Configuration Settings Programmatically

Informacje ogólne

Karta Uwierzytelnianie, okno dialogowe Ustawienia konfiguracyjne ASP.NET
Karta Lokalizacje, okno dialogowe Ustawienia konfiguracyjne ASP.NET
connectionStrings Element (ASP.NET Settings Schema)
appSettings Element (General Settings Schema)

Pojęcia

ASP.NET Configuration Overview

Inne zasoby

Przystawka programu MMC dla środowiska ASP.NET


Karta Uwierzytelnianie, okno dialogowe Ustawienia konfiguracyjne ASP.NET

Karta Uwierzytelnianie, okno dialogowe Ustawienia konfiguracyjne ASP.NET
Zobacz też
DropDown image

Karta Uwierzytelnianie okna dialogowego Ustawienia konfiguracyjne ASP.NET umożliwia zarządzanie uwierzytelnianiem kont i ról użytkowników w bieżącej witrynie sieci Web. Uwierzytelnianie ASP.NET to proces uzyskiwania poświadczeń identyfikacyjnych, takich jak nazwa użytkownika i hasło konta użytkownika, w celu sprawdzenia poprawności tych poświadczeń przez odpowiedni urząd. Aby uzyskać pełny opis sposobu implementacji uwierzytelniania w środowisku ASP.NET, zobacz ASP.NET Authentication.

Karta Uwierzytelnianie zapewnia również obsługę dodawania, usuwania i konfigurowania dostawców członkostwa oraz zarządzania rolami dla bieżącej aplikacji sieci Web. Zarządzanie rolami ASP.NET umożliwia określenie zasobów, do których mają dostęp konta użytkowników w danej aplikacji. Zarządzanie rolami pozwala na traktowanie grup kont użytkowników jako jednostek przez przypisanie kont użytkowników do ról. Aby uzyskać więcej informacji o zarządzaniu rolami ASP.NET, zobacz Understanding Role Management.

We własnej aplikacji sieci Web można tworzyć i używać niestandardowych dostawców członkostwa. Aby uzyskać pełny opis sposobu implementacji niestandardowego dostawcy członkostwa, zobacz Implementing a Membership Provider.

Ustawienia na karcie Uwierzytelnianie stosują się do witryny sieci Web wybranej przed otwarciem okna dialogowego Właściwości.

Note Uwaga

Ustawienia konfiguracyjne mogą być dziedziczone. Ustawienia można określić w pliku Machine.config, który pełni rolę konfiguracji podstawowej dla wszystkich witryn sieci Web na serwerze. Aby uzyskać więcej informacji o plikach konfiguracyjnych ASP.NET, zobacz ASP.NET Configuration File Hierarchy and Inheritance.

Aby wyświetlić kartę Uwierzytelnianie okna dialogowego Ustawienia konfiguracyjne ASP.NET

  1. W systemie Microsoft Windows otwórz aplet Narzędzia administracyjne, a następnie kliknij pozycję Menedżer internetowych usług informacyjnych (IIS).

    Zostanie wyświetlony Menedżer usług IIS.

  2. W obszarze Internetowe usługi informacyjne rozwiń węzeł Servername (komputer lokalny), rozwiń węzeł Witryny sieci Web, kliknij prawym przyciskiem myszy pozycję Websitename lub Domyślna witryna sieci Web, a następnie kliknij polecenie Właściwości.

    Zostanie wyświetlone okno dialogowe Właściwości witryny sieci Web.

  3. Kliknij kartę ASP.NET, a następnie kliknij przycisk Edytuj konfigurację.

    Zostanie wyświetlone okno dialogowe Ustawienia konfiguracyjne ASP.NET.

  4. Kliknij kartę Uwierzytelnianie.

Zadania

Za pomocą karty Uwierzytelnianie można wykonać następujące zadania:

  • Skonfigurować typ uwierzytelniania dla bieżącej aplikacji sieci Web.

  • Dodać, usunąć i zmodyfikować dostawców członkostwa dla bieżącej aplikacji sieci Web.

  • Dodać, usunąć i zmodyfikować dostawców członkostwa ról dla bieżącej aplikacji sieci Web.

Elementy interfejsu użytkownika

Tryb uwierzytelniania

Kliknij, aby określić tryb uwierzytelniania dla bieżącej witryny sieci Web. Aby uzyskać pełny opis każdego trybu uwierzytelniania, zobacz ASP.NET Authentication.

Nazwa pliku cookie HTTP

Wpisz nazwę pliku cookie HTTP do użycia w celach uwierzytelniania w bieżącej witrynie sieci Web. Element Nazwa pliku cookie HTTP jest dostępny tylko przy konfigurowaniu uwierzytelniania formularzy.

Adres URL logowania

Wpisz adres URL, pod który ma być przekierowywane żądanie logowania, jeśli nie zostanie znaleziony prawidłowy plik cookie uwierzytelniania. Adres domyślny to login.aspx. Element Adres URL logowania jest dostępny tylko przy konfigurowaniu uwierzytelniania formularzy.

Ochrona plików cookie

Kliknij, aby określić typ szyfrowania pliku cookie uwierzytelniania, jeśli ma być używane. Element Ochrona plików cookie jest dostępny tylko przy konfigurowaniu uwierzytelniania formularzy.

Limit czasu oczekiwania plików cookie

Wprowadź czas (jako całkowitą liczbę minut), po którym plik cookie uwierzytelniania ma wygasać. Wartość domyślna wynosi 30. Element Limit czasu oczekiwania plików cookie jest dostępny tylko przy konfigurowaniu uwierzytelniania formularzy.

Wymagaj SSL

Zaznacz to pole wyboru, aby określić, że przy przesyłaniu pliku cookie uwierzytelniania ma być wymagane połączenie SSL. Element Wymagaj SSL jest dostępny tylko przy konfigurowaniu uwierzytelniania formularzy.

Włącz wygasanie przewijania

Zaznacz to pole wyboru, aby zresetować czas wygasania prawidłowego pliku cookie uwierzytelniania, jeśli żądanie pojawi się po upływie więcej niż połowy limitu czasu. Element Włącz wygasanie przewijania jest dostępny tylko przy konfigurowaniu uwierzytelniania formularzy.

Klasa dostawcy członkostwa

Kliknij, aby określić skonfigurowanych dostawców członkostwa dla bieżącej witryny sieci Web.

Zarządzaj dostawcami

Kliknij, aby otworzyć okno dialogowe Ustawienia dostawcy, w którym można dodawać, usuwać i konfigurować dostawców członkostwa dla bieżącej witryny sieci Web.

Zarządzanie rolami włączone

Zaznacz to pole wyboru, aby włączyć zarządzanie rolami w celu umożliwienia zarządzania regułami dostępu dla grup i kont użytkowników.

Klasa dostawcy roli

Kliknij, aby określić skonfigurowanych dostawców członkostwa ról dla bieżącej witryny sieci Web.

Zarządzaj dostawcami

Kliknij, aby otworzyć okno dialogowe Ustawienia dostawcy, w którym można dodawać, usuwać i konfigurować dostawców członkostwa ról dla bieżącej witryny sieci Web.

Zobacz też

Pojęcia

Implementing a Membership Provider
Understanding Role Management
ASP.NET Configuration File Hierarchy and Inheritance

Inne zasoby

ASP.NET Authentication
Przystawka programu MMC dla środowiska ASP.NET


Karta Aplikacja, okno dialogowe Ustawienia konfiguracyjne ASP.NET

Karta Aplikacja, okno dialogowe Ustawienia konfiguracyjne ASP.NET
Zobacz też
DropDown image

Karta Aplikacja okna dialogowego Ustawienia konfiguracyjne ASP.NET umożliwia zarządzanie następującymi trzema typami ustawień konfiguracyjnych:

  • Typowe ustawienia kompilacji, strony i wykonania.

  • Ustawienia globalizacji.

  • Ustawienia tożsamości.

Aby wyświetlić okno dialogowe Ustawienia konfiguracyjne ASP.NET z Menedżera internetowych usług informacyjnych (IIS)

  1. Otwórz okno dialogowe Właściwości aplikacji sieci Web.

  2. Kliknij kartę ASP.NET, kliknij przycisk Edytuj konfigurację, a następnie kliknij kartę Aplikacja.

Ustawienia na karcie Aplikacja stosują się do aplikacji sieci Web wybranej przed wyświetleniem okna dialogowego Właściwości. Ustawienia zastosowane na karcie Aplikacja pojawiają się w sekcji konfiguracyjnej system.web pliku Web.config dla aplikacji sieci Web.

Note Uwaga

Ustawienia konfiguracyjne mogą być dziedziczone. Ustawienia można określić w pliku Machine.config, który pełni rolę konfiguracji podstawowej dla wszystkich witryn sieci Web i aplikacji sieci Web na serwerze. Określając ustawienia konfiguracyjne na poziomie aplikacji sieci Web, można utworzyć nowe lub zastąpić odziedziczone ustawienia.

Aby uzyskać więcej informacji o oknie dialogowym Ustawienia konfiguracyjne ASP.NET, zobacz ASP.NET Configuration Overview

Zadania

  • Za pomocą karty Aplikacja można wykonać następujące zadania:

  • Ustawić domyślny język dla stron ASP.NET w aplikacji sieci Web.

  • Ustawić domyślny motyw i stronę wzorcową dla aplikacji sieci Web.

  • Włączyć debugowanie dla aplikacji sieci Web.

  • Określić maksymalny czas w sekundach, przez który żądanie może być wykonywane, zanim zostanie automatycznie zamknięte przez środowisko ASP.NET.

  • Ustawić zestawy znaków kodowania zawartości dla żądań i odpowiedzi oraz ustawienia kultury, które określają wyniki funkcji zależnych od kultury, takie jak formatowanie dat, liczb i walut.

  • Ustawić tożsamość okien, która będzie personifikowana i pod którą będą uruchamiane strony ASP.NET.

Elementy interfejsu użytkownika

Karta Aplikacja zawiera trzy następujące kategorie:

  • Typowe ustawienia kompilacji, strony i wykonania

  • Ustawienia globalizacji

  • Ustawienia identyfikacji

Typowe ustawienia kompilacji, strony i wykonania

Umożliwia określenie następujących ustawień konfiguracyjnych: Ustawienia domyślne języka strony, Ustawienia domyślne motywu strony, Ustawienia domyślne strony wzorcowej, Włącz debugowanie i Limit czasu oczekiwania na wykonanie żądania (w sekundach).

Ustawienia domyślne języka strony

Umożliwia wybranie domyślnego języka programowania, który ma być używany w plikach kompilacji dynamicznej. Dostępne języki to: VB (system programowania Microsoft Visual Basic), C#, JS (oprogramowanie programistyczne Microsoft JScript) i VJ# (narzędzie programistyczne Microsoft Visual J#).

Ustawienia domyślne motywu strony

Umożliwia określenie domyślnego motywu, który ma być stosowany do wszystkich stron w aplikacji sieci Web.

Ustawienia domyślne strony wzorcowej

Umożliwia określenie ścieżki do pliku strony wzorcowej względem lokalnego pliku konfiguracyjnego.

Włącz debugowanie

Umożliwia określenie, czy mają być kompilowane binaria wersji handlowej czy binaria debugowania. Jeśli to pole wyboru jest wyczyszczone, wartością jest false.

Limit czasu oczekiwania na wykonanie żądania (w sekundach)

Umożliwia określenie maksymalnego czasu w sekundach, przez który żądanie może być wykonywane, zanim zostanie automatycznie zamknięte przez środowisko ASP.NET.

Ustawienia globalizacji

Umożliwia określenie następujących ustawień konfiguracyjnych: Kodowanie żądania, Kodowanie odpowiedzi, Kultura i Kultura interfejsu użytkownika.

Kodowanie żądania

Umożliwia określenie przypuszczalnego kodowania poszczególnych żądań przychodzących, w tym opublikowanych danych i ciągu kwerendy. Ustawienie domyślne to UTF-8.

Kodowanie odpowiedzi

Umożliwia określenie kodowania zawartości odpowiedzi. Ustawienie domyślne to UTF-8.

Kodowanie pliku

Umożliwia określenie domyślnego kodowania analizy plików .aspx, .asmx i .asax.

Kultura

Umożliwia określenie domyślnej kultury przetwarzania przychodzących żądań sieci Web. Kultura określa wyniki funkcji zależnych od kultury, takie jak formatowanie dat, liczb i walut.

Kultura interfejsu użytkownika

Umożliwia określenie domyślnej kultury przetwarzania wyszukiwania zasobów zależnego od ustawień lokalnych.

Ustawienia tożsamości

Umożliwia określenie następujących ustawień konfiguracyjnych: Personifikuj, Nazwa użytkownika i Hasło.

Personifikuj

Umożliwia określenie, czy przy każdym żądaniu ma być używana personifikacja klienta.

Nazwa użytkownika

Umożliwia określenie nazwy użytkownika do użycia, jeśli przy każdym żądaniu ma być używana personifikacja klienta.

Hasło

Umożliwia określenie hasła do użycia, jeśli przy każdym żądaniu ma być używana personifikacja klienta.

Zobacz też

Zadania

How to: Access ASP.NET Configuration Settings Programmatically
How to: Set the Culture and UI Culture for ASP.NET Web Page Globalization

Informacje ogólne

Karta Uwierzytelnianie, okno dialogowe Ustawienia konfiguracyjne ASP.NET
Karta Autoryzacja, okno dialogowe Ustawienia konfiguracyjne ASP.NET
Karta Błędy niestandardowe, okno dialogowe Ustawienia konfiguracyjne ASP.NET
Karta Ogólne, okno dialogowe Ustawienia konfiguracyjne ASP.NET
Karta Lokalizacje, okno dialogowe Ustawienia konfiguracyjne ASP.NET

Pojęcia

ASP.NET Configuration Overview
ASP.NET Themes and Skins Overview
ASP.NET Master Pages Overview


Karta Zarządzanie stanem, okno dialogowe Ustawienia konfiguracyjne ASP.NET

Karta Zarządzanie stanem, okno dialogowe Ustawienia konfiguracyjne ASP.NET
Zobacz też
DropDown image

Karta Zarządzanie stanem okna dialogowego Ustawienia konfiguracyjne ASP.NET umożliwia zarządzanie informacjami o stanie i stronach między wieloma żądaniami stron w bieżącej witrynie sieci Web. Stan sesji ASP.NET umożliwia przechowywanie i pobieranie wartości dla konta użytkownika, gdy użytkownik nawiguje po różnych stronach ASP.NET, które składają się na aplikację sieci Web. Karta Zarządzanie stanem pozwala na skonfigurowanie sposobu i miejsca przechowywania tych wartości.

Ustawienia na karcie Zarządzanie stanem stosują się do witryny sieci Web wybranej przed otwarciem okna dialogowego Właściwości.

Note Uwaga

Ustawienia konfiguracyjne mogą być dziedziczone. Ustawienia można określić w pliku Machine.config, który pełni rolę konfiguracji podstawowej dla wszystkich witryn sieci Web na serwerze. Aby uzyskać więcej informacji o plikach konfiguracyjnych ASP.NET, zobacz ASP.NET Configuration File Hierarchy and Inheritance.

Aby wyświetlić kartę Zarządzanie stanem okna dialogowego Ustawienia konfiguracyjne ASP.NET

  1. W systemie Microsoft Windows kliknij przycisk Start, wskaż polecenie Wszystkie programy, wskaż polecenie Narzędzia administracyjne, a następnie kliknij polecenie Menedżer internetowych usług informacyjnych (IIS).

    Zostanie wyświetlony Menedżer usług IIS.

  2. W obszarze Internetowe usługi informacyjne rozwiń węzeł Servername (komputer lokalny), rozwiń węzeł Witryny sieci Web, kliknij prawym przyciskiem myszy pozycję Websitename lub Domyślna witryna sieci Web, a następnie kliknij polecenie Właściwości.

    Zostanie wyświetlone okno dialogowe Właściwości witryny sieci Web.

  3. Kliknij kartę ASP.NET, a następnie kliknij przycisk Edytuj konfigurację.

    Zostanie wyświetlone okno dialogowe Ustawienia konfiguracyjne ASP.NET.

  4. Kliknij kartę Zarządzanie stanem.

Zadania

Za pomocą karty Zarządzanie stanem można wykonać następujące zadania:

  • Wybrać tryb stanu sesji dla bieżącej aplikacji sieci Web.

  • Skonfigurować tryby stanu sesji SQLServer i StateServer.

Elementy interfejsu użytkownika

Tryb stanu sesji

Kliknij tryb stanu sesji. Domyślny tryb stanu sesji to InProc lub „w pamięci” na serwerze sieci Web. Aby uzyskać listę trybów stanu sesji dostępnych dla środowiska ASP.NET, zobacz Session-State Modes.

Tryb bez plików cookie

Kliknij tryb z plikami cookie, aby określić, kiedy do utrzymywania informacji o użytkowniku ma być używany plik cookie. Aby uzyskać informacje o dostępnych trybach bez plików cookie, zobacz HttpCookieMode.

Limit czasu oczekiwania sesji

Wprowadź czas (w minutach), który jest dozwolony między żądaniami, zanim sesja zostanie zakończona.

Ciąg połączenia

Wprowadź ciąg połączenia w celu określenia nazwy serwera i portu usługi stanu ASP.NET dla trybu StateServer.

Limit czasu oczekiwania sieci

Wprowadź czas (w sekundach), który jest dozwolony między żądaniami, zanim sesja sieciowa zostanie zakończona dla trybu StateServer.

Ciąg połączenia

Wprowadź ciąg połączenia w celu określenia nazwy serwera i portu dla trybu StateServer.

Zobacz też

Informacje ogólne

HttpCookieMode

Pojęcia

Session-State Modes
ASP.NET Configuration File Hierarchy and Inheritance

Inne zasoby

Przystawka programu MMC dla środowiska ASP.NET


Karta Lokalizacje, okno dialogowe Ustawienia konfiguracyjne ASP.NET

Karta Lokalizacje, okno dialogowe Ustawienia konfiguracyjne ASP.NET
Zobacz też
DropDown image

Ustawienia konfiguracyjne można zastosować do określonej aplikacji sieci Web lub katalogu, używając tagu location z odpowiednim atrybutem path. Atrybutu path można użyć w celu określenia konkretnego pliku lub katalogu podrzędnego, do którego stosują się unikatowe ustawienia konfiguracyjne. Użycie karty Lokalizacje okna dialogowego Ustawienia konfiguracyjne ASP.NET to sposób osadzenia ustawień konfiguracyjnych wewnątrz pliku konfiguracyjnego.

Karta Lokalizacje okna dialogowego Ustawienia konfiguracyjne ASP.NET umożliwia zarządzanie następującymi elementami:

  • Konfiguracje lokalizacji, czyli konfiguracje lokalizacji ścieżki, które są zdefiniowane w plikach konfiguracyjnych dla węzłów.

Aby wyświetlić okno dialogowe Ustawienia konfiguracyjne ASP.NET z Menedżera internetowych usług informacyjnych (IIS)

  1. Otwórz okno dialogowe Właściwości aplikacji sieci Web.

  2. Kliknij kartę ASP.NET, kliknij przycisk Edytuj konfigurację, a następnie kliknij kartę Aplikacja.

Ustawienia na karcie Lokalizacje stosują się do aplikacji sieci Web wybranej przed wyświetleniem okna dialogowego Właściwości.

Uwaga Ustawienia konfiguracyjne mogą być dziedziczone. Ustawienia można określić w pliku Machine.config, który pełni rolę konfiguracji podstawowej dla wszystkich witryn sieci Web i aplikacji sieci Web na serwerze. Określając ustawienia konfiguracyjne na poziomie aplikacji sieci Web w pliku Web.config, można utworzyć nowe lub zastąpić odziedziczone ustawienia.

Aby uzyskać więcej informacji o oknie dialogowym Ustawienia konfiguracyjne ASP.NET, zobacz ASP.NET Configuration Overview

Zadania

Za pomocą karty Lokalizacje można wykonać następujące zadania:

  • Określić konfiguracje lokalizacji ścieżki, które są definiowane w pliku konfiguracyjnym dla węzła.

Elementy interfejsu użytkownika

Konfiguracje lokalizacji

Dodaj

Umożliwia wyświetlenie okna dialogowego Dodawanie lokalizacji, w którym można określić indeks i lokalizację w celu dodania nowej lokalizacji do obszaru Konfiguracja lokalizacji w oknie dialogowym Ustawienia konfiguracyjne ASP.Net.

Edytuj konfigurację

Umożliwia wyświetlenie nowej karty Ustawienia konfiguracyjne ASP.NET dla węzła, który jest określony przez ścieżkę w pliku konfiguracyjnym.

Usuń

Umożliwia usunięcie wpisu lokalizacji z pliku konfiguracyjnego dla danego węzła.

Zobacz też

Zadania

How to: Access ASP.NET Configuration Settings Programmatically

Informacje ogólne

Karta Ogólne, okno dialogowe Ustawienia konfiguracyjne ASP.NET
Karta Uwierzytelnianie, okno dialogowe Ustawienia konfiguracyjne ASP.NET
Karta Autoryzacja, okno dialogowe Ustawienia konfiguracyjne ASP.NET
Karta Błędy niestandardowe, okno dialogowe Ustawienia konfiguracyjne ASP.NET
Karta Aplikacja, okno dialogowe Ustawienia konfiguracyjne ASP.NET

Pojęcia

ASP.NET Configuration Overview
Securing ASP.NET Configuration


Okno dialogowe Edycja/dodawanie ciągu połączenia

Okno dialogowe Edycja/dodawanie ciągu połączenia
Zobacz też
DropDown image

Okno dialogowe Edycja/dodawanie ciągu połączenia umożliwia utworzenie nowej właściwości ConnectionString lub edycję istniejącej właściwości ConnectionString. Okno dialogowe Edycja/dodawanie ciągu połączenia pojawia się po kliknięciu przycisku Dodaj lub Edytuj na karcie Ogólne w oknie dialogowym Ustawienia konfiguracyjne ASP.NET.

Aby wyświetlić okno dialogowe Ustawienia konfiguracyjne ASP.NET z Menedżera internetowych usług informacyjnych (IIS)

  1. Otwórz okno dialogowe Właściwości aplikacji sieci Web.

  2. Kliknij kartę ASP.NET, kliknij przycisk Edytuj konfigurację, a następnie kliknij kartę Aplikacja.

Aby wyświetlić okno dialogowe Edycja/dodawanie ciągu połączenia, można kliknąć przycisk Dodaj na karcie Ogólne w oknie dialogowym Ustawienia konfiguracyjne ASP.NET. Następnie należy określić nazwę lub klucz dla właściwości ConnectionString i parametru Connection.

Aby wyświetlić okno dialogowe Edycja/dodawanie ciągu połączenia, w którym następnie można edytować właściwość ConnectionString, można również kliknąć przycisk Edytuj na karcie Ogólne w oknie dialogowym Ustawienia konfiguracyjne ASP.NET. Wybrana właściwość ConnectionString pojawia się w polu Parametr połączenia.

Note Uwaga

Ustawienia odziedziczone można zastąpić; w takim przypadku ustawienia zastąpione stosują się wyłącznie do wybranej aplikacji sieci Web. Ustawienia odziedziczonego nie można edytować w celu zmiany jego wartości wyżej w hierarchii konfiguracji.

Aby uzyskać więcej informacji o oknie dialogowym Ustawienia konfiguracyjne ASP.NET, zobacz ASP.NET Configuration Overview

Zadania

Za pomocą okna dialogowego Edycja/dodawanie ciągu połączenia można wykonać następujące zadania:

  • Dodać nową właściwość ConnectionString do okna dialogowego Menedżer ciągów połączeń na karcie Ogólne.

  • Edytować istniejącą właściwość ConnectionString w oknie dialogowym Menedżer ciągów połączeń na karcie Ogólne.

Elementy interfejsu użytkownika

Edycja/dodawanie ciągu połączenia

Nazwa

Umożliwia określenie nazwy właściwości ConnectionString.

Po wywołaniu okna dialogowego Edycja/dodawanie ciągu połączenia przez kliknięcie przycisku Edytuj na karcie Ogólne nie można określić nazwy ciągu połączenia.

Parametr połączenia

Umożliwia określenie wartości właściwości ConnectionString.

Po wywołaniu okna dialogowego Edycja/dodawanie ciągu połączenia przez kliknięcie przycisku Edytuj na karcie Ogólne pole Parametr połączenia zawiera wartość istniejącej właściwości ConnectionString.

OK

Umożliwia zastosowanie nowej właściwości ConnectionString, która została utworzona, lub zastosowanie zmian dokonanych w istniejącej właściwości ConnectionString.

Anuluj

Umożliwia zamknięcie okna dialogowego Edycja/dodawanie ciągu połączenia. Żadne zmiany nie są zapisywane w menedżerze ciągów połączeń.

Zobacz też

Informacje ogólne

Karta Ogólne, okno dialogowe Ustawienia konfiguracyjne ASP.NET
connectionStrings Element (ASP.NET Settings Schema)

Pojęcia

ASP.NET Configuration Overview


Okno dialogowe Edycja/dodawanie ustawienia aplikacji

Okno dialogowe Edycja/dodawanie ustawienia aplikacji
DropDown image

Ustawienia aplikacji to proste pary nazwa/wartość, umożliwiające tworzenie w lokalizacji centralnej wartości na poziomie aplikacji, do których można uzyskiwać dostęp z dowolnego miejsca w aplikacji sieci Web. Przechowując ustawienia aplikacji jako część konfiguracji w pliku Web.config, łatwo można zmieniać te ustawienia. W oknie dialogowym Edycja/dodawanie ustawienia aplikacji, na karcie Ogólne jest wyświetlana lista par klucz/wartość ustawień aplikacji.

Okno dialogowe Edycja/dodawanie ustawienia aplikacji umożliwia tworzenie i edytowanie ustawień aplikacji sieci Web.

Aby wyświetlić okno dialogowe Edycja/dodawanie ustawienia aplikacji, można kliknąć przycisk Dodaj w sekcji Ustawienia aplikacji na karcie Ogólne w oknie dialogowym Ustawienia konfiguracyjne ASP.NET. Następnie należy określić klucz i wartość dla właściwości AppSettings, które są dodawane do okna dialogowego Ustawienia aplikacji i do pliku Web.config dla aplikacji sieci Web.

Podobnie można zaznaczyć ustawienie w oknie dialogowym Ustawienia aplikacji i kliknąć przycisk Edytuj. Następnie można zmienić wartość zaznaczonej właściwości AppSettings. Zmiany są dodawane do okna dialogowego Ustawienia aplikacji i do pliku Web.config dla aplikacji sieci Web.

Aby wyświetlić okno dialogowe Ustawienia konfiguracyjne ASP.NET z Menedżera internetowych usług informacyjnych (IIS)

  1. Otwórz okno dialogowe Właściwości aplikacji sieci Web.

  2. Kliknij kartę ASP.NET, kliknij przycisk Edytuj konfigurację, a następnie kliknij kartę Aplikacja.

Aby uzyskać więcej informacji o oknie dialogowym Ustawienia konfiguracyjne ASP.NET, zobacz ASP.NET Configuration Overview

Zadania

Za pomocą okna dialogowego Edycja/dodawanie ustawienia aplikacji można wykonać następujące zadania:

  • Utworzyć nowe pary klucz/wartość, które umożliwiają tworzenie w lokalizacji centralnej wartości na poziomie aplikacji.

  • Edytować parę klucz/wartość, która istnieje w aplikacji sieci Web.

Elementy interfejsu użytkownika

Klucz

Umożliwia dodanie nowego klucza dla pary klucz/wartość. W przypadku kliknięcia przycisku Edytuj nie można określić nowego klucza w tym polu tekstowym.

Wartość

Umożliwia dodanie nowej wartości dla pary klucz/wartość. W przypadku kliknięcia przycisku Edytuj można zmienić wartość zaznaczonej pary klucz/wartość.

OK

Umożliwia zastosowanie nowej właściwości AppSettings, która została utworzona, lub zastosowanie zmian dokonanych w istniejącym ustawieniu aplikacji.

Anuluj

Umożliwia zamknięcie okna dialogowego Edycja/dodawanie ustawienia aplikacji bez wprowadzania żadnych zmian w ustawieniach aplikacji ani w pliku Web.config dla aplikacji sieci Web.

Zobacz też

Informacje ogólne

Karta Ogólne, okno dialogowe Ustawienia konfiguracyjne ASP.NET
appSettings Element (General Settings Schema)

Pojęcia

ASP.NET Configuration Overview


Okno dialogowe Edycja/dodawanie programów obsługi błędów niestandardowych

Okno dialogowe Edycja/dodawanie programów obsługi błędów niestandardowych
Zobacz też
DropDown image

Okno dialogowe Edycja/dodawanie programów obsługi błędów niestandardowych pozwala na mapowanie kodu błędu na określoną stronę błędu. Gdy środowisko ASP.NET generuje kod błędu, wyświetla określoną stronę.

Ustawienia na karcie Edycja/dodawanie programów obsługi błędów niestandardowych stosują się do aplikacji sieci Web wybranej przed otwarciem okna dialogowego Właściwości.

Note Uwaga

Ustawienia konfiguracyjne mogą być dziedziczone. Ustawienia można określić w pliku Machine.config, który pełni rolę konfiguracji podstawowej dla wszystkich witryn i aplikacji sieci Web na serwerze. Określając ustawienia konfiguracyjne na poziomie aplikacji sieci Web, można utworzyć nowe lub zastąpić odziedziczone ustawienia.

Uwaga Środowisko ASP.NET nie odbiera pewnych kodów błędów, na przykład 404. Mapować można tylko błędy generowane wewnętrznie w środowisku ASP.NET.

Aby otworzyć okno dialogowe Edycja/dodawanie programów obsługi błędów niestandardowych

  1. W systemie Microsoft Windows otwórz aplet Narzędzia administracyjne, a następnie kliknij pozycję Menedżer internetowych usług informacyjnych (IIS).

    Zostanie wyświetlony Menedżer usług IIS.

  2. W obszarze Internetowe usługi informacyjne rozwiń węzeł Servername (komputer lokalny), rozwiń węzeł Websitename lub Domyślna witryna sieci Web, a następnie kliknij przycisk Właściwości.

    Zostanie wyświetlone okno dialogowe Właściwości witryny sieci Web.

  3. Kliknij kartę ASP.NET, a następnie kliknij przycisk Edytuj konfigurację.

    Zostanie wyświetlone okno dialogowe Ustawienia konfiguracyjne ASP.NET.

  4. Kliknij kartę Błędy niestandardowe.

    • Aby dodać obsługę błędu niestandardowego, kliknij przycisk Dodaj.

    • Aby edytować obsługę błędu niestandardowego, kliknij przycisk Edytuj.

    Zostanie wyświetlone okno dialogowe Edycja/dodawanie programów obsługi błędów niestandardowych.

Elementy interfejsu użytkownika

Kod stanu

Wpisz kod błędu HTTP, który ma być mapowany na stronę błędu.

Adres URL przekierowania

Wpisz adres URL strony, którą środowisko ASP.NET ma wyświetlać w odpowiedzi na kod błędu. Ta strona nie musi należeć do bieżącej witryny sieci Web.

Note Uwaga

Środowisko ASP.NET nie sprawdza poprawności wprowadzonego adresu URL.

OK

Kliknij, aby zapisać obsługę błędu niestandardowego.

Anuluj

Kliknij, aby anulować zmiany.

Zobacz też

Informacje ogólne

Karta Błędy niestandardowe, okno dialogowe Ustawienia konfiguracyjne ASP.NET
Karta Błędy niestandardowe, okno dialogowe Ustawienia konfiguracyjne ASP.NET


Okno dialogowe Edycja reguły

Okno dialogowe Edycja reguły
DropDown image

Okno dialogowe Edycja reguły umożliwia utworzenie nowej lub edycję istniejącej reguły autoryzacji. Konta użytkowników i role można tworzyć za pomocą uwierzytelniania Microsoft Windows lub uwierzytelniania formularzy ASP.NET (członkostwa ASP.NET).

Aby otworzyć okno dialogowe Edycja reguły

  1. W systemie Windows otwórz aplet Narzędzia administracyjne, a następnie kliknij pozycję Menedżer internetowych usług informacyjnych (IIS).

    Zostanie wyświetlony Menedżer usług IIS.

  2. W obszarze Internetowe usługi informacyjne rozwiń węzeł Servername (komputer lokalny), rozwiń węzeł Witryny sieci Web, kliknij prawym przyciskiem myszy pozycję Websitename lub Domyślna witryna sieci Web, a następnie kliknij polecenie Właściwości.

    Zostanie wyświetlone okno dialogowe Właściwości witryny sieci Web.

  3. Kliknij kartę ASP.NET, a następnie kliknij przycisk Edytuj konfigurację.

    Zostanie wyświetlone okno dialogowe Ustawienia konfiguracyjne ASP.NET.

  4. Kliknij kartę Autoryzacja.

    • Aby dodać regułę, kliknij przycisk Dodaj.

    • Aby edytować regułę, kliknij regułę, a następnie kliknij przycisk Edytuj.

    Zostanie wyświetlone okno dialogowe Edycja reguły.

Zadania

Za pomocą okna dialogowego Edycja reguły można wykonać następujące zadania:

  • Utworzyć nową lub edytować istniejącą regułę autoryzacji.

Elementy interfejsu użytkownika

Typ reguły

Kliknij opcję Zezwalaj, aby zezwolić na dostęp wszystkim użytkownikom.

-lub-

Kliknij opcję Odmów, aby odmówić dostępu wszystkim użytkownikom.

Aby uzyskać szczegółowe informacje o regułach, zobacz AuthorizationRuleCollection.

Zlecenia

Kliknij opcję Wszystkie zlecenia, aby zezwolić na dostęp wszystkim metodom transmisji HTTP ASP.NET. Wszystkie zlecenia jest opcją domyślną.

Kliknij opcję Określone zlecenia, a następnie wpisz rozdzielaną przecinkami listę metod transmisji HTTP, którym ma być udzielony dostęp.

Zlecenia zarejestrowane w środowisku ASP.NET to GET, HEAD, POST i DEBUG.

Użytkownicy i role

Wymagane.

Aby zastosować regułę, wykonaj przynajmniej jedną z następujących czynności:

  • Kliknij opcję Wszyscy użytkownicy, aby zastosować regułę do wszystkich użytkowników.

  • Kliknij opcję Użytkownicy anonimowi, aby zastosować regułę do anonimowych kont użytkowników.

  • Kliknij opcję Użytkownicy, a następnie wpisz rozdzielaną przecinkami listę nazw kont użytkowników, aby zastosować regułę do określonego zestawu kont użytkowników.

  • Zaznacz pole wyboru Role, a następnie wpisz rozdzielaną przecinkami listę nazw ról, aby zastosować regułę do określonego zestawu ról.

W przypadku wybrania obu opcji, Użytkownicy i Role, reguła stosuje się tylko do tych kont użytkowników, które należą do określonych ról.

Użyj uwierzytelniania Microsoft Windows lub uwierzytelniania formularzy ASP.NET (członkostwa ASP.NET) w celu określenia kont użytkowników i ról.

OK

Kliknij, aby zastosować regułę.

Anuluj

Kliknij, aby anulować zmiany.

Zobacz też

Zadania

How to: Implement Simple Forms Authentication

Informacje ogólne

Karta Autoryzacja, okno dialogowe Ustawienia konfiguracyjne ASP.NET
Karta Autoryzacja, okno dialogowe Ustawienia konfiguracyjne ASP.NET

Pojęcia

Forms Authentication Across Applications

Inne zasoby

Managing Authorization Using ASP.NET Roles (Visual Studio)


Okno dialogowe Dodawanie lokalizacji

Okno dialogowe Dodawanie lokalizacji
DropDown image

Okno dialogowe Dodawanie lokalizacji umożliwia dodanie nowego ustawienia konfiguracyjnego lokalizacji do własnej witryny sieci Web. Ustawienia konfiguracyjne można zastosować do określonego zasobu, używając tagu <location> z odpowiednim atrybutem ścieżki. Atrybutu ścieżki można użyć w celu określenia konkretnego pliku lub katalogu podrzędnego, do którego stosują się unikatowe ustawienia konfiguracyjne.

Okno dialogowe Dodawanie lokalizacji pojawia się po kliknięciu przycisku Dodaj na karcie Lokalizacje w oknie dialogowym Ustawienia konfiguracyjne ASP.NET.

Aby wyświetlić okno dialogowe Ustawienia konfiguracyjne ASP.NET z Menedżera internetowych usług informacyjnych (IIS)

  1. Otwórz okno dialogowe Właściwości aplikacji sieci Web.

  2. Kliknij kartę ASP.NET, kliknij przycisk Edytuj konfigurację, a następnie kliknij kartę Aplikacja.

Za pomocą okna dialogowego Dodawanie lokalizacji można wykonać następujące zadania:

  • Określić indeks (klucz) elementu lokalizacji.

  • Określić wartość lokalizacji dodawaną do listy konfiguracyjnej Lokalizacja.

Elementy interfejsu użytkownika

Indeks

Określa indeks (klucz) elementu lokalizacji.

Lokalizacja

Określa wartość elementu dodawanego do listy. (Na przykład ścieżkę do konkretnego pliku lub katalogu).

OK

Stosuje nową wartość lokalizacji wprowadzoną w polu Konfiguracje lokalizacji w oknie dialogowym Ustawienia konfiguracyjne ASP.NET. Zamyka okno dialogowe Dodawanie lokalizacji:

Anuluj

Zamyka okno dialogowe Dodawanie lokalizacji: Żadne zmiany nie są zapisywane w polu Konfiguracje lokalizacji.

Zobacz też

Informacje ogólne

Karta Lokalizacje, okno dialogowe Ustawienia konfiguracyjne ASP.NET
Local IIS Tab, Choose Location/Open Web Site Dialog Box

Pojęcia

ASP.NET Configuration Overview


dv_aspnetmmchxs {2DDA7CF9-E8CF-4df1-98E8-521EDE1C5FC7}

dv_aspnetmmchxs {2DDA7CF9-E8CF-4df1-98E8-521EDE1C5FC7}
DropDown image

dv_aspnetmmchxs {2DDA7CF9-E8CF-4df1-98E8-521EDE1C5FC7}

{2DDA7CF9-E8CF-4df1-98E8-521EDE1C5FC7}

{2DDA7CF9-E8CF-4df1-98E8-521EDE1C5FC7}

Full Text Search and Index Debug Topic graphic